gcstring_t Struct Reference
gcstring | linebreak | break

`#include <sombok.h>`

Collaboration diagram for gcstring_t:
[legend]

## Data Fields

unichar_t * | str
size_t | len
gcchar_t * | gcstr
size_t | gclen
size_t | pos
struct linebreak_t * | lbobj

## Detailed Description

Grapheme cluster string. ,,

## Field Documentation

## gclen

size_t gcstring_t::gclen

Number of grapheme clusters.

## gcstr

gcchar_t* gcstring_t::gcstr

Sequence of grapheme clusters. NULL may specify zero-length grapheme cluster string.

## lbobj

struct linebreak_t* gcstring_t::lbobj

linebreak object.

## len

size_t gcstring_t::len

Number of Unicode characters.

## pos

size_t gcstring_t::pos

Next position.

## str

unichar_t* gcstring_t::str

Sequence of Unicode characters. Note that NUL character (U+0000) may be contained. NULL may specify zero-length string.

The documentation for this struct was generated from the following file:

- include/sombok.h